#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a, b, l;
    cin>>a>>b>>l;
    int stavali[l];
    for(int za = 0; za<l; za++)
    {
        stavali[za]=0;
    }
    int broi = 0;
    for(int i = 1; i<l+1; i++)
    {
        int k = i;
        if(k==k/a*a)
        {
            for(int h = k; h>a-1; h--)
            {
                if(h/b*b == h && h != k)
                {
                    stavali[h] = 1;
                    broi++;
                }
            }
        }
    }
    broi = l-broi;
    cout<<broi;
    return 0;
}
